# KdepimLibs.cmake is generated by CMake from kdepimlibs/KdepimLibs.cmake.in

# set the kdepimlibs version number
set(KDEPIMLIBS_VERSION_MAJOR 4)
set(KDEPIMLIBS_VERSION_MINOR 3)
set(KDEPIMLIBS_VERSION_PATCH 1)
set(KDEPIMLIBS_VERSION       "${KDEPIMLIBS_VERSION_MAJOR}.${KDEPIMLIBS_VERSION_MINOR}.${KDEPIMLIBS_VERSION_PATCH}")

# set the directories
if(NOT KDEPIMLIBS_INSTALL_DIR)
   set(KDEPIMLIBS_INSTALL_DIR "/opt/kde")
endif(NOT KDEPIMLIBS_INSTALL_DIR)

set(KDEPIMLIBS_DATA_DIR            "/opt/kde/share/apps")
set(KDEPIMLIBS_DBUS_INTERFACES_DIR "/opt/kde/share/dbus-1/interfaces")
set(KDEPIMLIBS_DBUS_SERVICES_DIR   "/opt/kde/share/dbus-1/services")
set(KDEPIMLIBS_INCLUDE_DIR         "/opt/kde/include")
set(KDEPIMLIBS_INCLUDE_DIRS        "/opt/kde/include" "/opt/kde/include/KDE")
set(KDEPIMLIBS_LIB_DIR             "/opt/kde/lib")
set(KDEPIMLIBS_BIN_DIR             "/opt/kde/bin") 
set(KDEPIMLIBS_LIBEXEC_DIR         "/opt/kde/lib/kde4/libexec")
set(KDEPIMLIBS_SBIN_DIR            "/opt/kde/sbin")
set(KDEPIMLIBS_HTML_DIR            "/opt/kde/share/doc/HTML")
set(KDEPIMLIBS_CONFIG_DIR          "/opt/kde/share/config")
set(KDEPIMLIBS_ICON_DIR            "/opt/kde/share/icons") 
set(KDEPIMLIBS_KCFG_DIR            "/opt/kde/share/config.kcfg")
set(KDEPIMLIBS_LOCALE_DIR          "/opt/kde/share/locale")
set(KDEPIMLIBS_MIME_DIR            "/opt/kde/share/mimelnk")
set(KDEPIMLIBS_SOUND_DIR           "/opt/kde/share/sounds")
set(KDEPIMLIBS_TEMPLATES_DIR       "/opt/kde/share/templates")
set(KDEPIMLIBS_KCONF_UPDATE_DIR    "/opt/kde/share/apps/kconf_update")
set(KDEPIMLIBS_AUTOSTART_DIR       "/opt/kde/share/autostart")
set(KDEPIMLIBS_XDG_APPS_DIR        "/opt/kde/share/applications/kde4")
set(KDEPIMLIBS_XDG_DIRECTORY_DIR   "/opt/kde/share/desktop-directories")
set(KDEPIMLIBS_SYSCONF_DIR         "/opt/kde/etc")
set(KDEPIMLIBS_MAN_DIR             "/opt/kde/share/man")
set(KDEPIMLIBS_INFO_DIR            "/opt/kde/share/info")
set(KDEPIMLIBS_SERVICES_DIR        "/opt/kde/share/kde4/services")
set(KDEPIMLIBS_SERVICETYPES_DIR    "/opt/kde/share/kde4/servicetypes")

# These two are just for compatibility with KDE 4.[01]
set(KDEPIMLIBS4_DBUS_INTERFACES_DIR "${KDEPIMLIBS_DBUS_INTERFACES_DIR}")
set(KDEPIMLIBS4_DBUS_SERVICES_DIR   "${KDEPIMLIBS_DBUS_SERVICES_DIR}")

set(CMAKE_MODULE_PATH "${KDEPIMLIBS_DATA_DIR}/cmake/modules" "${CMAKE_MODULE_PATH}" )

# the exports file exports 
set(KDEPIMLIBS_TARGET_PREFIX KDEPIMLibs__)

# Make sure to load the exported targets only once
# For the rest of this script it doesn't matter that much
if(NOT TARGET KDEPIMLibs__kresources)
   get_filename_component(_currentDir "${CMAKE_CURRENT_LIST_FILE}" PATH)
   include("${_currentDir}/KDEPimLibsLibraryTargetsWithPrefix.cmake")
endif(NOT TARGET KDEPIMLibs__kresources)

macro(_KDEPIMLibs_Set_Lib_Vars _prefix _lib)
  set(KDEPIMLIBS_${_prefix}_LIBRARY ${KDEPIMLIBS_TARGET_PREFIX}${_lib})
  set(KDEPIMLIBS_${_prefix}_LIBS    ${KDEPIMLIBS_TARGET_PREFIX}${_lib})
  # these two are set for compatibility with KDE 4.[01], Alex:
  set(KDE4_${_prefix}_LIBRARY       ${KDEPIMLIBS_TARGET_PREFIX}${_lib})
  set(KDE4_${_prefix}_LIBS          ${KDEPIMLIBS_TARGET_PREFIX}${_lib})
endmacro(_KDEPIMLibs_Set_Lib_Vars)


_kdepimlibs_set_lib_vars(AKONADI        akonadi-kde)
_kdepimlibs_set_lib_vars(AKONADI_KMIME  akonadi-kmime)
_kdepimlibs_set_lib_vars(AKONADI_KABC   akonadi-kabc)
_kdepimlibs_set_lib_vars(GPGMEPP        gpgmepp)
_kdepimlibs_set_lib_vars(KABC           kabc)
_kdepimlibs_set_lib_vars(KBLOG          kblog)
_kdepimlibs_set_lib_vars(KCAL           kcal)
_kdepimlibs_set_lib_vars(KHOLIDAYS      kholidays)
_kdepimlibs_set_lib_vars(KIMAP          kimap)
_kdepimlibs_set_lib_vars(KLDAP          kldap)
_kdepimlibs_set_lib_vars(KMIME          kmime)
_kdepimlibs_set_lib_vars(KPIMIDENTITIES kpimidentities)
_kdepimlibs_set_lib_vars(KPIMTEXTEDIT   kpimtextedit)
_kdepimlibs_set_lib_vars(KPIMUTILS      kpimutils)
_kdepimlibs_set_lib_vars(KRESOURCES     kresources)
_kdepimlibs_set_lib_vars(KTNEF          ktnef)
_kdepimlibs_set_lib_vars(KXMLRPCCLIENT  kxmlrpcclient)
_kdepimlibs_set_lib_vars(MAILTRANSPORT  mailtransport)
_kdepimlibs_set_lib_vars(MICROBLOG      microblog)
_kdepimlibs_set_lib_vars(QGPGME         qgpgme)
_kdepimlibs_set_lib_vars(SYNDICATION    syndication)

